#include <stdio.h>

#include <windows.h>

#include <adwaita.h>
#include <gtk/gtk.h>

static void
activate (AdwApplication *app,
        gpointer user_data) {
    GtkWidget *window =
        adw_application_window_new (GTK_APPLICATION (app));
	gtk_window_set_default_size (GTK_WINDOW (window), 800, 800);
	GtkBox *window_box = GTK_BOX (gtk_box_new (GTK_ORIENTATION_VERTICAL, 0));
	GtkWidget *title = gtk_label_new ("Install Recuento");
    AdwHeaderBar *header = ADW_HEADER_BAR (adw_header_bar_new());

	adw_header_bar_set_title_widget (header, title);
	gtk_box_append (window_box, GTK_WIDGET (header));
    adw_application_window_set_content (ADW_APPLICATION_WINDOW (window), GTK_WIDGET (window_box));
	gtk_widget_show (window);
}

int main (int argc, char **argv) {
    int status = 0;
    AdwApplication *app = adw_application_new ("me.sergiotarxz.recuento.installer", G_APPLICATION_FLAGS_NONE);
    g_signal_connect (app, "activate", G_CALLBACK (activate), NULL);
    status = g_application_run (G_APPLICATION (app), argc, argv);
    g_clear_object (&app);
	return status;
}
